About version

31-40 of 200Refresh
Forum
15

In version 2.5.2_05 does not work greatest by Date

In earlier versions this query worked fine. In version 2.5.2_05 does not work .orderBy(cb.desc(cb.greatest(root.get("createDate").as(Date.class)))).distinct(true) Thank you for your help. Please try build 2.5.2_06 that should fix this regression (of casting to Date). galandor
Forum
15

ObjectDB version 2.2 has been released

of version 2.2 in repair mode on existing database files, and to switch to the new database files that are generated by the Doctor when moving to version 2.2.
Issue
15

Collection update does not increase entity version and is not persisted

(all classes are enhanced) the version of the event does not increase and the updated event is not stored ... , this workaround helps but does not solve the core issue. Will there be a fixed version anytime in the near
Forum
15

Future JDO versions?

versions: http://db.apache.org/jdo/specifications.html ?   Development of JDO in the recent years ... ObjectDB also for JPA, and could be added to JPA and JDO at the same time in a future version
Forum
14

ObjectDB version 2.1 has been released

ObjectDB 2.1 has been released and it includes important additions and fixes: Added Online Backup utility (issue #16). Added Master-Slave Replication / Clustering (issue #17). Added a PDF version of the ObjectDB manual (included in the download). Added sample (tutorials) Maven projects (included in
Forum
14

Odb file version

Hi, Do we have any mechanism to knwo whether the odb file belongs to 1.x object db or 2.x object db. Before migrating all the odb files from objectdb 1.x to 2.x, i would like to add a check if it is already migrated. Any API which is exposed to check the odb files version ? There is no such API
Forum
14

Optimistic lock failed : object has version .. instead of ..

has version 125 instead of 126) (error 673) at com.objectdb.jpa.EMImpl.beforeCompletion(EMImpl.java
Issue
14

Regression bug in using version 2.4.5 with GlassFish 3.1.2

Can't deploy objectDB ver 2.4.5 or later using GlassFish 3.1.2, NetBeans 7.2.1 Win 7 & 8. ObjectDB Version 2.4.4 is working good. [#|2012-12-18T05:26:53.167-0800|SEVERE|glassfish3.1.2|javax.enterprise.system.core.com.sun.enterprise.v3.server|_ThreadID=44;_ThreadName=Thread-2;|java.lang
Forum
14

What is the lowest version of Java, ObjectDB will run on?

I have a legacy production environment that is running "jre1.6.0_16". I am trying to upgrade from 1.0.4 to the latest.   Thanks for your time. Current ObjectDB versions are tested with JDK 1.7, so JDK 1.7 or later should be fine. Maybe it can also work with JDK 1.6 but it has not been tested recently. bmcalist
Forum
14

Which version of JDO should I use with ObjectDB?

I have defined a number of JDO indexes on my persistent class, so would like to know which is the preferred version of JDO to use e.g. is it jdo-api-3.1.jar? Thank you ObjectDB 2.x uses JDO 2.2. paul